# dask.array.angle

dask.array.angle(x, deg=0)

  Return the angle of the complex argument.

  This docstring was copied from numpy.angle.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    z array_like (Not supported in Dask)

      A complex number or sequence of complex numbers.

    deg bool, optional

      Return angle in degrees if True, radians if False (default).

  Returns:
    angle ndarray or scalar

      The counterclockwise angle from the positive real axis on the complex plane in the range `(-pi, pi]`, with dtype as numpy.float64.

  See also

  `arctan2`
  `absolute`

  Notes

  This function passes the imaginary and real parts of the argument to arctan2 to compute the result; consequently, it follows the convention of arctan2 when the magnitude of the argument is zero. See example.

  Examples

      >>> import numpy as np
      >>> np.angle([1.0, 1.0j, 1+1j])               # in radians
      array([ 0.        ,  1.57079633,  0.78539816]) # may vary
      >>> np.angle(1+1j, deg=True)                  # in degrees
      45.0
      >>> np.angle([0., -0., complex(0., -0.), complex(-0., -0.)])  # convention
      array([ 0.        ,  3.14159265, -0.        , -3.14159265])